| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::tbm::TrackedObject Struct Reference

The TrackedObject struct defines properties of detected object. More...

`#include <opencv2/tracking/tracking_by_matching.hpp>`

## Public Member Functions
| TrackedObject ()
| Default constructor. More...
| TrackedObject (const cv::Rect &rect, float confidence, int frame_idx, int object_id)
| Constructor with parameters. More...

## Public Attributes
double | confidence
| Detection confidence level (-1 if N/A). More...
int | frame_idx
| Frame index where object was detected (-1 if N/A). More...
int | object_id
| Unique object identifier (-1 if N/A). More...
cv::Rect | rect
| Detected object ROI (zero area if N/A). More...
uint64_t | timestamp
| Timestamp in milliseconds. More...

## Detailed Description

The TrackedObject struct defines properties of detected object.

## Constructor & Destructor Documentation

## ◆ TrackedObject() [1/2]

cv::tbm::TrackedObject::TrackedObject | ( |  | ) |
| inline

Default constructor.

## ◆ TrackedObject() [2/2]

cv::tbm::TrackedObject::TrackedObject | ( | const cv::Rect & | rect,
|  | float | confidence,
|  | int | frame_idx,
|  | int | object_id
| ) |  |
| inline

Constructor with parameters.

Parameters

  rect | Bounding box of detected object.
  confidence | Confidence of detection.
  frame_idx | Index of frame.
  object_id | Object ID.

## Member Data Documentation

## ◆ confidence

double cv::tbm::TrackedObject::confidence

Detection confidence level (-1 if N/A).

## ◆ frame_idx

int cv::tbm::TrackedObject::frame_idx

Frame index where object was detected (-1 if N/A).

## ◆ object_id

int cv::tbm::TrackedObject::object_id

Unique object identifier (-1 if N/A).

## ◆ rect

cv::Rect cv::tbm::TrackedObject::rect

Detected object ROI (zero area if N/A).

## ◆ timestamp

uint64_t cv::tbm::TrackedObject::timestamp

Timestamp in milliseconds.

The documentation for this struct was generated from the following file:

- opencv2/tracking/tracking_by_matching.hpp